Simulation Customer Flow Variant
Delete a flow variant
Soft-deletes a variant. On a scripted flow the path engine re-creates a variant for any path still in the graph, so remove the path through PUT /steps instead if that is what you meant.
DELETE
/
v1
/
simulation
/
customer-flow
/
{flowId}
/
variant
/
{variantId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationCustomerFlowVariant = await client.simulationCustomerFlowVariant.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(simulationCustomerFlowVariant.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_customer_flow_variant = client.simulation_customer_flow_variant.delete(
variant_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_customer_flow_variant.data)curl --request DELETE \
--url https://api.roark.ai/v1/simulation/customer-flow/{flowId}/variant/{variantId} \
--header 'Authorization: Bearer <token>'
{
"data": {
"deleted": true
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const simulationCustomerFlowVariant = await client.simulationCustomerFlowVariant.delete(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
{ flowId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);
console.log(simulationCustomerFlowVariant.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
simulation_customer_flow_variant = client.simulation_customer_flow_variant.delete(
variant_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(simulation_customer_flow_variant.data)